[update] non explicit packages are not updated

Bug #1359705 reported by Dmitry Pyzhov on 2014-08-21
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Critical
Fuel Library (Deprecated)
Mirantis OpenStack
Critical
Dmitry Mescheryakov

Bug Description

Steps to reproduce:
1. install 5.0 master node
2. bring up 5.0 environment
3. upgrade to 5.1
4. patch env to 5.0.2

Expected result:
oslo-messaging is updated to the new version

Actual result:
oslo-messaging is not updated

Packages that are not explicitly referenced by the puppet manifests are left at the older versions unless a explicit package's requirements pulls it in as a dep due to the version bump.

As a second case https://bugs.launchpad.net/fuel/+bug/1359884 python-route was not updated and caused cinder-api to fail

[root@fuel log]# ls -l /var/www/nailgun/centos/fuelweb/x86_64/Packages/python-oslo-messaging-1.3.0-0.1.a9.el6.noarch.rpm
-rwxr-xr-x. 1 root root 169096 Авг 20 16:59 /var/www/nailgun/centos/fuelweb/x86_64/Packages/python-oslo-messaging-1.3.0-0.1.a9.el6.noarch.rpm
[root@fuel log]# ls -l /var/www/nailgun/2014.1.1-5.0.2/centos/x86_64/Packages/python-oslo-messaging-1.3.0-fuel5.0.2.mira5.noarch.rpm
-rw-r--r-- 1 root root 169856 Авг 20 11:55 /var/www/nailgun/2014.1.1-5.0.2/centos/x86_64/Packages/python-oslo-messaging-1.3.0-fuel5.0.2.mira5.noarch.rpm
[root@fuel log]# ssh node-1
Warning: Permanently added 'node-1' (RSA) to the list of known hosts.
Last login: Thu Aug 21 10:50:13 2014 from 10.20.0.2
[root@node-1 ~]# rpm -qa | grep oslo-messaging
python-oslo-messaging-1.3.0-0.1.a9.el6.noarch

Changed in fuel:
assignee: Fuel Library Team (fuel-library) → Bogdan Dobrelya (bogdando)
Dmitry Ilyin (idv1985) on 2014-08-21
Changed in fuel:
assignee: Bogdan Dobrelya (bogdando) → Dmitry Ilyin (idv1985)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/116011

Changed in fuel:
assignee: Dmitry Ilyin (idv1985) → Bogdan Dobrelya (bogdando)

Change abandoned by Dmitry Ilyin (<email address hidden>) on branch: stable/5.0
Review: https://review.openstack.org/115983
Reason: close

Change abandoned by Dmitry Ilyin (<email address hidden>) on branch: master
Review: https://review.openstack.org/115982
Reason: close

Andrew Woodward (xarses) on 2014-08-22
summary: - [update] oslo.messaging is not updated by patching
+ [update] non explicit packages are not updated
description: updated
Vladimir Kuklin (vkuklin) wrote :

if we want packages to be updated - set explicit requirements for each package to install particular dependencies. reassigning to fuel-osci team

Dmitry Pyzhov (dpyzhov) on 2014-08-22
no longer affects: fuel/5.1.x
Changed in fuel:
status: In Progress → Confirmed

Change abandoned by Bogdan Dobrelya (<email address hidden>) on branch: master
Review: https://review.openstack.org/116011

Changed in fuel:
importance: High → Critical
Changed in mos:
status: New → Confirmed
importance: Undecided → Critical
milestone: none → 5.0.2
assignee: nobody → Dmitry Mescheryakov (dmitrymex)
no longer affects: fuel
Artem Panchenko (apanchenko-8) wrote :

api: '1.0'
astute_sha: bc60b7d027ab244039f48c505ac52ab8eb0a990c
auth_required: true
build_id: 2014-08-27_00-01-17
build_number: '480'
feature_groups:
- mirantis
fuellib_sha: 6f478caa9111e428b3c053eef44754f59ce7a2c2
fuelmain_sha: 74a97d500bb2fe9528f99771ccc2ec657ae3f76e
nailgun_sha: 04e3f9d9ad3140cd63a9b5a1a302c03ebe64fd0a
ostf_sha: 4dcd99cc4bfa19f52d4b87ed321eb84ff03844da
production: docker
release: '5.1'

After updating environment (5.0 -> 5.0.2) cinder returns 500 error:

ERROR: The server has either erred or is incapable of performing the requested operation. (HTTP 500) (Request-ID: req-70d87054-441a-421f-b160-932786e16705)

because python-cinderclient package isn't updated during patching. Executing 'yum -y install python-cinderclient' on all controllers fixes the issue. In my opinion version/release of 'python-cinderclient' package can be specified in requirements for 'openstack-cinder'

Dmitry Pyzhov (dpyzhov) on 2014-08-27
no longer affects: fuel/5.0.x
Changed in fuel:
status: New → Confirmed
importance: Undecided → Critical
assignee: nobody → Fuel Library Team (fuel-library)
milestone: none → 5.0.2
Dmitry Burmistrov (dburmistrov) wrote :

python-cinderclient is not necessary part of cinder. So it doesn't need to add this package to cinder runtime requirements. Although python-cinderclient exists in cinder rpm specs as runtime requirement with mark "as convenience"

Changed in fuel:
status: Confirmed → Triaged
Mike Scherbakov (mihgen) wrote :

So is it finally Fuel project or MOS? I see it now targets both.

tags: added: packages

Mike, both teams are involved: MOS team provides list of packages which were updated between 5.0 and 5.0.2. Fuel team makes sure the packages are updated during patching.

Here is the list of packages I passed to Fuel Library team which needs to be updated:

python-oslo.messaging_1.3.0-fuel5.0.2~mira2_all.deb
python-pastedeploy_1.5.0-2build1_all.deb
python-routes_1.12.3-1ubuntu1_all.deb
python-sqlalchemy-ext_0.8.2-1~cloud1_amd64.deb
python-sqlalchemy_0.8.2-1~cloud1_all.deb
python-testtools_0.9.35-0ubuntu1_all.deb

python-oslo-messaging-1.3.0-fuel5.0.2.mira5.noarch.rpm
python-paste-deploy-1.5.0-10.mira2.noarch.rpm
python-routes-1.13-2.mira2.noarch.rpm
python-six-1.6.1-1.mira1.noarch.rpm
python-sqlalchemy-0.7.9-1.3.mira2.x86_64.rpm

Since the list if determined, I move the bug to 'fix committed' for MOS

Reviewed: https://review.openstack.org/117605
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=11b1a4c6edc79e81866278c36d0324c3fad01391
Submitter: Jenkins
Branch: stable/5.0

commit 11b1a4c6edc79e81866278c36d0324c3fad01391
Author: Vladimir Kuklin <email address hidden>
Date: Fri Aug 29 00:07:57 2014 +0400

    Add openstack dependencies installation for 5.0.2

    Add explicit 5.0.2 packages installation for 5.0.2
    Fuel release

    Change-Id: I62140d5c8bfe2a4f8a5262b84f513d81225a29b8
    Closes-bug: #1359705

Changed in fuel:
status: Triaged → Fix Committed
Dmitry Pyzhov (dpyzhov) on 2014-09-02
no longer affects: fuel/5.1.x
Changed in fuel:
milestone: 5.1.1 → 5.1.2
Changed in fuel:
milestone: 5.1.2 → 5.1.1
Dmitry Borodaenko (angdraug) wrote :

No updates for over a month! Is this going to affect 6.0?

Dmitry B: the bug affects only releases which could be reached by patching. For example 5.1.1 and 5.0.3 are affected (5.1 -> 5.1.1, 5.0 - > 5.0.3). So 6.0 is not affected.

no longer affects: mos/5.1.x
no longer affects: mos/5.1.x
no longer affects: mos/5.0.x
no longer affects: fuel/5.0.x
Changed in fuel:
status: Triaged → Fix Committed
Changed in mos:
status: Triaged → Fix Committed
Changed in fuel:
milestone: 5.1.1 → 5.0.3
Changed in mos:
milestone: 5.1.1 → 5.0.3
Changed in fuel:
milestone: 5.0.3 → 5.0.2
Changed in mos:
milestone: 5.0.3 → 5.0.2

Trying to track the same problem for 5.1.1/5.0.3 made bug look like a mess. So the bug is returned back to its initial state for 5.0.2. The issue for 5.1.1/5.0.3 is now tracked in https://bugs.launchpad.net/fuel/+bug/1392261

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers